/**
 * ContextControlNonPropagating.java
 *
 * File generated from the medication::ContextControlNonPropagating uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ContextControlNonPropagating.
 *
 * 
 */

@XmlType(name = "ContextControlNonPropagating")
@XmlEnum
@XmlRootElement(name = "ContextControlNonPropagating")
public enum ContextControlNonPropagating {
	@XmlEnumValue("AN")
	AN("AN"),
	@XmlEnumValue("ON")
	ON("ON");
	
	private final String value;

    ContextControlNonPropagating(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ContextControlNonPropagating fromValue(String v) {
        for (ContextControlNonPropagating c: ContextControlNonPropagating.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}